---
updatedAt: 2026-05-15T09:04:24.000Z
agentTools:
  projectIndex: https://docs.ortex.com/llms.txt
---

# Exchanges list


<p>List of all the exchanges with their identifying symbol and MIC code that can be used in other Ortex APIs to identify the exchange</p>

<h3>Available Data Points:</h3>
<ul>
    <li><strong>Exchange Name:</strong> The name of the exchange.</li>
    <li><strong>MIC Code:</strong> The Market Identifier Code of the trading exchange as defined by ISO 10383.</li>
    <li><strong>Exchange Symbol:</strong> The symbol that identifies the exchange. </li>
    <li><strong>Country:</strong> The country code of the exchange as defined by ISO 3166-1.</li>
</ul>


<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>"Ortex-Api-Key": "TEST"</code> to your http request.</p>


<p>
<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>
<p><strong>Get full access!</strong> Get a key at <a href="https://app.ortex.com/apis" target="_blank">app.ortex.com/apis</a></p>


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "ORTEX APIs",
    "version": "1.0",
    "description": "A revolutionary global equity analytics platform which identifies and analyses relevant data for your stocks."
  },
  "paths": {
    "/api/v1/generics/exchanges": {
      "get": {
        "operationId": "generics_exchanges_list",
        "description": "\n<p>List of all the exchanges with their identifying symbol and MIC code that can be used in other Ortex APIs to identify the exchange</p>\n\n<h3>Available Data Points:</h3>\n<ul>\n    <li><strong>Exchange Name:</strong> The name of the exchange.</li>\n    <li><strong>MIC Code:</strong> The Market Identifier Code of the trading exchange as defined by ISO 10383.</li>\n    <li><strong>Exchange Symbol:</strong> The symbol that identifies the exchange. </li>\n    <li><strong>Country:</strong> The country code of the exchange as defined by ISO 3166-1.</li>\n</ul>\n\n\n<p><strong>Try it out!</strong> You can test the API with the <strong>trial key</strong> <code>TEST</code>. Simply include it in your request headers; either here, or add the header <code>\"Ortex-Api-Key\": \"TEST\"</code> to your http request.</p>\n\n\n<p>\n<strong>Trial key restrictions: </strong>A list of randomly selected rows will be returned</p>\n<p><strong>Get full access!</strong> Get a key at <a href=\"https://app.ortex.com/apis\" target=\"_blank\">app.ortex.com/apis</a></p>\n",
        "summary": "Exchanges list",
        "parameters": [
          {
            "in": "query",
            "name": "country",
            "schema": {
              "type": "string"
            },
            "description": "Optional ISO 3166-1 alpha-2 country code to filter exchanges",
            "examples": {
              "Default:AllCountries": {
                "summary": "Default: all countries"
              },
              "UnitedStates": {
                "value": "US",
                "summary": "United States"
              },
              "UnitedKingdom": {
                "value": "GB",
                "summary": "United Kingdom"
              }
            }
          },
          {
            "name": "page",
            "required": false,
            "in": "query",
            "description": "A page number within the paginated result set.",
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "page_size",
            "required": false,
            "in": "query",
            "description": "Number of results to return per page.",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "tags": [
          "Exchanges"
        ],
        "security": [
          {
            "ApiKeyAuth": []
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PaginatedExchangesList"
                },
                "examples": {
                  "Exchanges": {
                    "value": {
                      "paginationLinks": {
                        "next": "http://api.example.org/accounts/?page=4",
                        "previous": "http://api.example.org/accounts/?page=2"
                      },
                      "length": 123,
                      "rows": [
                        [
                          {
                            "exchangeName": "All US Exchanges",
                            "micCode": "N/A",
                            "exchangeSymbol": "US",
                            "countryName": "United States"
                          },
                          {
                            "exchangeName": "Abu Dhabi Securities Exchange",
                            "micCode": "XADS",
                            "exchangeSymbol": "ADX",
                            "countryName": "United Arab Emirates"
                          },
                          {
                            "exchangeName": "Aequitas Neo Exchange",
                            "micCode": "NEOE",
                            "exchangeSymbol": "NEOE",
                            "countryName": "Canada"
                          },
                          {
                            "exchangeName": "Amman Stock Exchange",
                            "micCode": "XAMM",
                            "exchangeSymbol": "ASE",
                            "countryName": "Jordan"
                          },
                          {
                            "exchangeName": "Australian Securities Exchange",
                            "micCode": "XASX",
                            "exchangeSymbol": "ASX",
                            "countryName": "Australia"
                          }
                        ]
                      ],
                      "creditsUsed": 3,
                      "creditsLeft": 999
                    },
                    "summary": "Exchanges list"
                  }
                }
              }
            },
            "description": ""
          },
          "400": {
            "description": "Invalid request parameters"
          },
          "403": {
            "description": "Not authorized"
          },
          "404": {
            "description": "Data not found"
          },
          "429": {
            "description": "Rate limit exceeded"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Exchanges": {
        "type": "object",
        "properties": {
          "exchangeName": {
            "type": "string"
          },
          "micCode": {
            "type": "string"
          },
          "exchangeSymbol": {
            "type": "string"
          },
          "countryCode": {
            "type": "string"
          }
        },
        "required": [
          "countryCode",
          "exchangeName",
          "exchangeSymbol",
          "micCode"
        ]
      },
      "PaginatedExchangesList": {
        "type": "object",
        "required": [
          "length",
          "paginationLinks",
          "rows"
        ],
        "properties": {
          "paginationLinks": {
            "type": "object",
            "example": {
              "next": "http://api.example.org/accounts/?page=4",
              "previous": "http://api.example.org/accounts/?page=2"
            }
          },
          "length": {
            "type": "integer",
            "example": 123
          },
          "rows": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Exchanges"
            }
          },
          "creditsUsed": {
            "type": "integer",
            "example": 3
          },
          "creditsLeft": {
            "type": "integer",
            "example": 999
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKeyAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Ortex-Api-Key",
        "description": "Use test API key: `TEST` to get a limited result."
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ortex.com/",
      "description": "Production"
    }
  ]
}
```